package com.ruoyi.web.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.controller.chenyanlogin.service.impl.ZhwlCaller;
import com.ruoyi.web.domain.entity.ZhwlDeviceListEntity;

public interface ZhwlDeviceListService {

    AjaxResult add(ZhwlDeviceListEntity request);

    AjaxResult edit(ZhwlDeviceListEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(ZhwlCaller.DeviceListQueryVO request);

    AjaxResult listAll();

    AjaxResult insertOrUpdate(ZhwlDeviceListEntity request);

}
